@echo off

if not exist tse.exe if exist setup.exe echo Renaming setup.exe to tse.exe ...
if not exist tse.exe if exist setup.exe rename setup.exe tse.exe

if not exist tse.dat if exist setup.dat echo Renaming setup.dat to tse.dat ...
if not exist tse.dat if exist setup.dat rename setup.dat tse.dat

if not exist tse.exe echo Error: tse.exe does not exist.
if not exist tse.dat echo Error: tse.dat does not exist.

if not exist tse.exe goto error
if not exist tse.dat goto error

tse.exe
goto end

:error
pause

:end

